<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.BatchRecoverActivity"
    android:orientation="vertical">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="2dp"
        android:layout_marginBottom="5dp"
        android:orientation="horizontal">
        <ImageView
            android:id="@+id/back"
            android:layout_width="0dp"
            android:layout_weight="1.0"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:background="@drawable/ic_baseline_chevron_left_24"
            />
        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:text="波次修复"
            android:layout_gravity="center"
            android:gravity="center"
            android:layout_marginEnd="80dp"
            android:textColor="@color/black"
            android:textStyle="bold"
            android:textSize="18sp"
            android:layout_weight="6.0"/>
    </LinearLayout>
    <EditText
        android:id="@+id/batch_code"
        android:singleLine="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:layout_marginTop="50dp"
        android:inputType="text"
        android:hint="波次号"
        android:drawableStart="@drawable/ic_baseline_camera_24"
        android:drawablePadding="2dp"
        android:bottomLeftRadius="30dp"
        android:bottomRightRadius="30dp"
        android:topLeftRadius="30dp"
        android:imeOptions="actionDone"
        android:topRightRadius="30dp"
        android:background="@drawable/edit_background">
        <requestFocus/>
    </EditText>
    <Button
        android:id="@+id/btn"
        android:layout_marginTop="20dp"
        android:layout_marginLeft="30dp"
        android:layout_marginRight="30dp"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@drawable/btn_edit"
        android:textColor="@color/white"
        android:text="提   交"/>
</LinearLayout>